Subject: Re: bug#72769: 31.0.50; info-pop-to-buffer should respect display-buffer-alist

From: Juri Linkov <[email-masked]>
Date: Sun, 25 Aug 2024 09:48:06 +0300

>> Selected window shows code that I want to keep looking at: I invoke
>>   C-x 4 4 C-h R
>> to start browsing the manual of interest, keeping the code visible.
>
> I have exactly the same workflow in the situation you describe.
> I also create a separate frame each time I open new manual, but if
> info would follow the display-buffer-alist rules I wouldn't have to do
> that my self and the frame would be closed when I close the manual.

Please show your display-buffer-alist configuration where
Info doesn't follow the display-buffer-alist rules.
I see that 'C-h R' follows these rules in e.g.:

  (add-to-list 'display-buffer-alist
               '("\\*info\\*"
                 display-buffer-pop-up-window))